local frames = {
	TargetFrameToT = true,
	FocusFrameToT = true,
}


for frame in pairs(frames) do
	local debuff = frame.."Debuff"
	for i = 1, 4 do
		local debuffCount = _G[debuff..i]:CreateFontString(debuff..i.."Count", "OVERLAY", "NumberFontNormalSmall")
		debuffCount:SetJustifyH("RIGHT")
		debuffCount:SetPoint("BOTTOMRIGHT")
	end
end


hooksecurefunc("RefreshDebuffs", function(frame, unit, numDebuffs)
	local frameName = frame:GetName()
	numDebuffs = numDebuffs or MAX_PARTY_DEBUFFS
	if frames[frameName] then
		for i = 1, numDebuffs do
			local _, _, icon, count = UnitDebuff(unit, i)
			
			if icon then
				local frameCount = _G[frameName.."Debuff"..i.."Count"]
				if count > 1 then
					frameCount:SetText(count)
					frameCount:Show()
				else
					frameCount:Hide()
				end
			end
		end
	end
end)


hooksecurefunc("FocusFrame_SetSmallSize", function()
	FocusFrame.showAuraCount = true
	TargetFrame_UpdateAuras(FocusFrame)
end)